unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SHDocVw, ActiveX, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure ExportFavourites(bstrExport : WideString);
var pShell : IShellUIHelper;
begin
   if SUCCEEDED(CoInitialize(0)) then
   try
      if SUCCEEDED(CoCreateInstance(CLASS_ShellUIHelper, NIL, CLSCTX_INPROC_SERVER,IID_IShellUIHelper, pShell)) then
         pShell.ImportExportFavorites(false, bstrExport);
   finally
     CoUninitialize();
   end;
end;

procedure ImportFavourites(bstrExport : WideString);
var pShell : IShellUIHelper;
begin
   if SUCCEEDED(CoInitialize(0)) then
   try
      if SUCCEEDED(CoCreateInstance(CLASS_ShellUIHelper, NIL, CLSCTX_INPROC_SERVER,IID_IShellUIHelper, pShell)) then
         pShell.ImportExportFavorites(true, bstrExport);
   finally
     CoUninitialize();
   end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ImportFavourites(Edit1.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ExportFavourites(Edit1.Text);
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  OpenDialog1.FileName := Edit1.Text;
  OpenDialog1.Execute;
  Edit1.Text := OpenDialog1.FileName;
end;

end.
